<?php

include('../../path.php');

require_once(ROOT_CONFIG);



    class clientes

    {

        public function insert_clientes($Imagen, $Id_Fk_Catalogo_Cliente_Pertenece, $Promotor, $Id_Fk_Catalogo_Esquema_Crediticio, $Esquema_Crediticio, $Id_Fk_Catalogo_Tipo_Persona, $Tipo_Persona, $Id_Fk_Regimen_Fiscal, $Regimen, $Nombre_Completo, $Apellido_Paterno, $Apellido_Materno, $RFC, $Razon_Social_Persona_Moral, $Fecha_Constitucion_Persona_Moral, $Nombre_De_Contacto_Persona_Moral, $Puesto_De_Contacto_Persona_Moral, $Id_Fk_Estado_Civil, $Estado_Civil, $Calle, $Numero_Exterior, $Numero_Interior, $Colonia, $Delegacion_Municipio, $Codigo_Postal, $Coordenadas, $Telefono_Oficina, $Extension, $No_De_Celular, $Correo_1, $Correo_2, $Correo_3, $Observaciones_Y_Notas, $Fecha_De_Registro, $Usuario_Que_Registra, $Fecha_De_Modificacion, $Usuario_Que_Modifico)

        {

            require_once('../../log/controller/log.php');

            $Obj_log = new log();

            $Odbj_conexion = new odbconexion;

            $conexion=$Odbj_conexion->openconection();

            $consulta="INSERT INTO clientes(Imagen, Id_Fk_Catalogo_Cliente_Pertenece, Promotor, Id_Fk_Catalogo_Esquema_Crediticio, Esquema_Crediticio, Id_Fk_Catalogo_Tipo_Persona, Tipo_Persona, Id_Fk_Regimen_Fiscal, Regimen, Nombre_Completo, Apellido_Paterno, Apellido_Materno, RFC, Razon_Social_Persona_Moral, Fecha_Constitucion_Persona_Moral, Nombre_De_Contacto_Persona_Moral, Puesto_De_Contacto_Persona_Moral, Id_Fk_Estado_Civil, Estado_Civil, Calle, Numero_Exterior, Numero_Interior, Colonia, Delegacion_Municipio, Codigo_Postal, Coordenadas, Telefono_Oficina, Extension, No_De_Celular, Correo_1, Correo_2, Correo_3, Observaciones_Y_Notas, Fecha_De_Registro, Usuario_Que_Registra, Fecha_De_Modificacion, Usuario_Que_Modifico) VALUES ('$Imagen', '$Id_Fk_Catalogo_Cliente_Pertenece', '$Promotor', '$Id_Fk_Catalogo_Esquema_Crediticio', '$Esquema_Crediticio', '$Id_Fk_Catalogo_Tipo_Persona', '$Tipo_Persona', '$Id_Fk_Regimen_Fiscal', '$Regimen', '$Nombre_Completo', '$Apellido_Paterno', '$Apellido_Materno', '$RFC', '$Razon_Social_Persona_Moral', '$Fecha_Constitucion_Persona_Moral', '$Nombre_De_Contacto_Persona_Moral', '$Puesto_De_Contacto_Persona_Moral', '$Id_Fk_Estado_Civil', '$Estado_Civil', '$Calle', '$Numero_Exterior', '$Numero_Interior', '$Colonia', '$Delegacion_Municipio', '$Codigo_Postal', '$Coordenadas', '$Telefono_Oficina', '$Extension', '$No_De_Celular', '$Correo_1', '$Correo_2', '$Correo_3', '$Observaciones_Y_Notas', '$Fecha_De_Registro', '$Usuario_Que_Registra', '$Fecha_De_Modificacion', '$Usuario_Que_Modifico') ";

            $conexion->query($consulta);

            $whatsmyid=$conexion->insert_id;

            $conexion->close();

            $_Tabla='clientes';

            $_Evento_Log='registrar';

            $_Consulta = '"'.$consulta.'"';

            $Obj_log->insert_log_crud($_Tabla,$_Evento_Log,$_Consulta);

            return $whatsmyid;

        }



        public function get_clientes($_Clausula_Fk,$_IdFk)

        {

            $Odbj_conexion = new odbconexion;

            $conexion=$Odbj_conexion->openconection();

            if($_Clausula_Fk!='' && $_IdFk!=''){

                //$consulta="SELECT *,  count(*) as numregis FROM clientes WHERE $_Clausula_Fk=$_IdFk ORDER BY Id_Clientes DESC";

                $consulta="SELECT count(*) as numregis FROM clientes WHERE $_Clausula_Fk=$_IdFk";

            }else{

                //$consulta="SELECT *,  count(*) as numregis FROM clientes ORDER BY Id_Clientes DESC";

                $consulta="SELECT count(*) as numregis FROM clientes";

            }

            $Array_adapter=$conexion->query($consulta);

            $conexion->close();

            return $Array_adapter;

        }



        public function get_clientespg($inicio,$TAMANO_PAGINA,$_Clausula_Fk,$_IdFk)

        {

            $Odbj_conexion = new odbconexion;

            $conexion=$Odbj_conexion->openconection();

            if($_Clausula_Fk!='' && $_IdFk!=''){

                $consulta="SELECT * FROM clientes WHERE $_Clausula_Fk=$_IdFk ORDER BY Id_Clientes DESC";

            }else{

                $consulta="SELECT * FROM clientes ORDER BY Id_Clientes DESC";

            }

            

            if ($TAMANO_PAGINA != "Todos") {

                $consulta .= " LIMIT $inicio, $TAMANO_PAGINA";

            }

            $Array_adapter=$conexion->query($consulta);

            $conexion->close();

            return $Array_adapter;

        }



        public function update_clientes($Id_Clientes, $Imagen, $Id_Fk_Catalogo_Cliente_Pertenece, $Promotor, $Id_Fk_Catalogo_Esquema_Crediticio, $Esquema_Crediticio, $Id_Fk_Catalogo_Tipo_Persona, $Tipo_Persona, $Id_Fk_Regimen_Fiscal, $Regimen, $Nombre_Completo, $Apellido_Paterno, $Apellido_Materno, $RFC, $Razon_Social_Persona_Moral, $Fecha_Constitucion_Persona_Moral, $Nombre_De_Contacto_Persona_Moral, $Puesto_De_Contacto_Persona_Moral, $Id_Fk_Estado_Civil, $Estado_Civil, $Calle, $Numero_Exterior, $Numero_Interior, $Colonia, $Delegacion_Municipio, $Codigo_Postal, $Coordenadas, $Telefono_Oficina, $Extension, $No_De_Celular, $Correo_1, $Correo_2, $Correo_3, $Observaciones_Y_Notas, $Fecha_De_Registro, $Usuario_Que_Registra, $Fecha_De_Modificacion, $Usuario_Que_Modifico)

        {

            require_once('../../log/controller/log.php');

            $Obj_log = new log();

            $Odbj_conexion = new odbconexion;

            $conexion=$Odbj_conexion->openconection();

            $consulta="UPDATE clientes SET Id_Clientes='$Id_Clientes', Imagen='$Imagen', Id_Fk_Catalogo_Cliente_Pertenece='$Id_Fk_Catalogo_Cliente_Pertenece', Promotor='$Promotor', Id_Fk_Catalogo_Esquema_Crediticio='$Id_Fk_Catalogo_Esquema_Crediticio', Esquema_Crediticio='$Esquema_Crediticio', Id_Fk_Catalogo_Tipo_Persona='$Id_Fk_Catalogo_Tipo_Persona', Tipo_Persona='$Tipo_Persona', Id_Fk_Regimen_Fiscal='$Id_Fk_Regimen_Fiscal', Regimen='$Regimen', Nombre_Completo='$Nombre_Completo', Apellido_Paterno='$Apellido_Paterno', Apellido_Materno='$Apellido_Materno', RFC='$RFC', Razon_Social_Persona_Moral='$Razon_Social_Persona_Moral', Fecha_Constitucion_Persona_Moral='$Fecha_Constitucion_Persona_Moral', Nombre_De_Contacto_Persona_Moral='$Nombre_De_Contacto_Persona_Moral', Puesto_De_Contacto_Persona_Moral='$Puesto_De_Contacto_Persona_Moral', Id_Fk_Estado_Civil='$Id_Fk_Estado_Civil', Estado_Civil='$Estado_Civil', Calle='$Calle', Numero_Exterior='$Numero_Exterior', Numero_Interior='$Numero_Interior', Colonia='$Colonia', Delegacion_Municipio='$Delegacion_Municipio', Codigo_Postal='$Codigo_Postal', Coordenadas='$Coordenadas', Telefono_Oficina='$Telefono_Oficina', Extension='$Extension', No_De_Celular='$No_De_Celular', Correo_1='$Correo_1', Correo_2='$Correo_2', Correo_3='$Correo_3', Observaciones_Y_Notas='$Observaciones_Y_Notas', Fecha_De_Registro='$Fecha_De_Registro', Usuario_Que_Registra='$Usuario_Que_Registra', Fecha_De_Modificacion='$Fecha_De_Modificacion', Usuario_Que_Modifico='$Usuario_Que_Modifico' WHERE Id_Clientes = '$Id_Clientes'";

            $conexion->query($consulta);

            $rowaffected=$conexion->affected_rows;

            $conexion->close();

            $_Tabla='clientes';

            $_Evento_Log='editar';

            $_Consulta = '"'.$consulta.'"';

            $Obj_log->insert_log_crud($_Tabla,$_Evento_Log,$_Consulta);

            return $rowaffected;

        }



        public function delete_clientes($Id_Clientes)

        {

            require_once('../../log/controller/log.php');

            $Obj_log = new log();

            $Odbj_conexion = new odbconexion;

            $conexion=$Odbj_conexion->openconection();

            $consulta="DELETE FROM clientes WHERE Id_Clientes='$Id_Clientes'";

            $conexion->query($consulta);

            $rowaffected=$conexion->affected_rows;

            $conexion->close();

            $_Tabla='clientes';

            $_Evento_Log='eliminar';

            $_Consulta = '"'.$consulta.'"';

            $Obj_log->insert_log_crud($_Tabla,$_Evento_Log,$_Consulta);

            return $rowaffected;

        }



        //Funciones adicionales.

        public function getorderby_clientes($Nombre,$Orderby,$_Clausula_Fk,$_IdFk)

        {

            $Odbj_conexion = new odbconexion;

            $conexion=$Odbj_conexion->openconection();

            if($_Clausula_Fk!='' && $_IdFk!=''){

                //$consulta="SELECT *,  count(*) as numregis FROM clientes WHERE $_Clausula_Fk=$_IdFk ORDER BY $Nombre $Orderby";

                $consulta="SELECT count(*) as numregis FROM clientes WHERE $_Clausula_Fk=$_IdFk";

            }else{

                //$consulta="SELECT *,  count(*) as numregis FROM clientes ORDER BY $Nombre $Orderby";

                $consulta="SELECT count(*) as numregis FROM clientes";

            }

            $Array_adapter=$conexion->query($consulta);

            $conexion->close();

            return $Array_adapter;

        }



        public function getorderby_clientespg($Nombre,$Orderby,$inicio,$TAMANO_PAGINA,$_Clausula_Fk,$_IdFk)

        {

            $Odbj_conexion = new odbconexion;

            $conexion=$Odbj_conexion->openconection();

            if($_Clausula_Fk!='' && $_IdFk!=''){

                $consulta="SELECT * FROM clientes WHERE $_Clausula_Fk=$_IdFk ORDER BY $Nombre $Orderby";

            }else{

                $consulta="SELECT * FROM clientes ORDER BY $Nombre $Orderby";

            }

            if ($TAMANO_PAGINA != "Todos") {

                $consulta .= " LIMIT $inicio, $TAMANO_PAGINA";

            }

            $Array_adapter=$conexion->query($consulta);

            $conexion->close();

            return $Array_adapter;

        }



        public function getbyid_clientes($Id_Clientes)

        {

            $Odbj_conexion = new odbconexion;

            $conexion=$Odbj_conexion->openconection();

            $consulta="SELECT * FROM clientes WHERE Id_Clientes='$Id_Clientes'";

            $Array_adapter=$conexion->query($consulta);

            $conexion->close();

            return $Array_adapter;

        }



        public function get_clientes_paginador_frm()

        {

            $Odbj_conexion = new odbconexion;

            $conexion=$Odbj_conexion->openconection();

            $consulta="SELECT * FROM clientes";

            $Array_adapter=$conexion->query($consulta);

            $conexion->close();

            return $Array_adapter;

        }



        public function search_clientes($Buscar,$_Clausula_Fk,$_IdFk)

        {

            require_once('../../log/controller/log.php');

            $Obj_log = new log();

            $Odbj_conexion = new odbconexion;

            $conexion=$Odbj_conexion->openconection();

            if($_Clausula_Fk!='' && $_IdFk!=''){

                $consulta="SELECT *, count(*) as numregis FROM clientes WHERE $_Clausula_Fk=$_IdFk AND (Id_Clientes LIKE '%$Buscar%' || Imagen LIKE '%$Buscar%' || Id_Fk_Catalogo_Cliente_Pertenece LIKE '%$Buscar%' || Promotor LIKE '%$Buscar%' || Id_Fk_Catalogo_Esquema_Crediticio LIKE '%$Buscar%' || Esquema_Crediticio LIKE '%$Buscar%' || Id_Fk_Catalogo_Tipo_Persona LIKE '%$Buscar%' || Tipo_Persona LIKE '%$Buscar%' || Id_Fk_Regimen_Fiscal LIKE '%$Buscar%' || Regimen LIKE '%$Buscar%' || Nombre_Completo LIKE '%$Buscar%' || Apellido_Paterno LIKE '%$Buscar%' || Apellido_Materno LIKE '%$Buscar%' || RFC LIKE '%$Buscar%' || Razon_Social_Persona_Moral LIKE '%$Buscar%' || Fecha_Constitucion_Persona_Moral LIKE '%$Buscar%' || Nombre_De_Contacto_Persona_Moral LIKE '%$Buscar%' || Puesto_De_Contacto_Persona_Moral LIKE '%$Buscar%' || Id_Fk_Estado_Civil LIKE '%$Buscar%' || Estado_Civil LIKE '%$Buscar%' || Calle LIKE '%$Buscar%' || Numero_Exterior LIKE '%$Buscar%' || Numero_Interior LIKE '%$Buscar%' || Colonia LIKE '%$Buscar%' || Delegacion_Municipio LIKE '%$Buscar%' || Codigo_Postal LIKE '%$Buscar%' || Coordenadas LIKE '%$Buscar%' || Telefono_Oficina LIKE '%$Buscar%' || Extension LIKE '%$Buscar%' || No_De_Celular LIKE '%$Buscar%' || Correo_1 LIKE '%$Buscar%' || Correo_2 LIKE '%$Buscar%' || Correo_3 LIKE '%$Buscar%' || Observaciones_Y_Notas LIKE '%$Buscar%' || Fecha_De_Registro LIKE '%$Buscar%' || Usuario_Que_Registra LIKE '%$Buscar%' || Fecha_De_Modificacion LIKE '%$Buscar%' || Usuario_Que_Modifico LIKE '%$Buscar%') ORDER BY Id_Clientes DESC";

                $consulta="SELECT count(*) as numregis FROM clientes WHERE $_Clausula_Fk=$_IdFk AND (Id_Clientes LIKE '%$Buscar%' || Imagen LIKE '%$Buscar%' || Id_Fk_Catalogo_Cliente_Pertenece LIKE '%$Buscar%' || Promotor LIKE '%$Buscar%' || Id_Fk_Catalogo_Esquema_Crediticio LIKE '%$Buscar%' || Esquema_Crediticio LIKE '%$Buscar%' || Id_Fk_Catalogo_Tipo_Persona LIKE '%$Buscar%' || Tipo_Persona LIKE '%$Buscar%' || Id_Fk_Regimen_Fiscal LIKE '%$Buscar%' || Regimen LIKE '%$Buscar%' || Nombre_Completo LIKE '%$Buscar%' || Apellido_Paterno LIKE '%$Buscar%' || Apellido_Materno LIKE '%$Buscar%' || RFC LIKE '%$Buscar%' || Razon_Social_Persona_Moral LIKE '%$Buscar%' || Fecha_Constitucion_Persona_Moral LIKE '%$Buscar%' || Nombre_De_Contacto_Persona_Moral LIKE '%$Buscar%' || Puesto_De_Contacto_Persona_Moral LIKE '%$Buscar%' || Id_Fk_Estado_Civil LIKE '%$Buscar%' || Estado_Civil LIKE '%$Buscar%' || Calle LIKE '%$Buscar%' || Numero_Exterior LIKE '%$Buscar%' || Numero_Interior LIKE '%$Buscar%' || Colonia LIKE '%$Buscar%' || Delegacion_Municipio LIKE '%$Buscar%' || Codigo_Postal LIKE '%$Buscar%' || Coordenadas LIKE '%$Buscar%' || Telefono_Oficina LIKE '%$Buscar%' || Extension LIKE '%$Buscar%' || No_De_Celular LIKE '%$Buscar%' || Correo_1 LIKE '%$Buscar%' || Correo_2 LIKE '%$Buscar%' || Correo_3 LIKE '%$Buscar%' || Observaciones_Y_Notas LIKE '%$Buscar%' || Fecha_De_Registro LIKE '%$Buscar%' || Usuario_Que_Registra LIKE '%$Buscar%' || Fecha_De_Modificacion LIKE '%$Buscar%' || Usuario_Que_Modifico LIKE '%$Buscar%')";

            }else{

                //$consulta="SELECT *, count(*) as numregis FROM clientes WHERE Id_Clientes LIKE '%$Buscar%' || Imagen LIKE '%$Buscar%' || Id_Fk_Catalogo_Cliente_Pertenece LIKE '%$Buscar%' || Promotor LIKE '%$Buscar%' || Id_Fk_Catalogo_Esquema_Crediticio LIKE '%$Buscar%' || Esquema_Crediticio LIKE '%$Buscar%' || Id_Fk_Catalogo_Tipo_Persona LIKE '%$Buscar%' || Tipo_Persona LIKE '%$Buscar%' || Id_Fk_Regimen_Fiscal LIKE '%$Buscar%' || Regimen LIKE '%$Buscar%' || Nombre_Completo LIKE '%$Buscar%' || Apellido_Paterno LIKE '%$Buscar%' || Apellido_Materno LIKE '%$Buscar%' || RFC LIKE '%$Buscar%' || Razon_Social_Persona_Moral LIKE '%$Buscar%' || Fecha_Constitucion_Persona_Moral LIKE '%$Buscar%' || Nombre_De_Contacto_Persona_Moral LIKE '%$Buscar%' || Puesto_De_Contacto_Persona_Moral LIKE '%$Buscar%' || Id_Fk_Estado_Civil LIKE '%$Buscar%' || Estado_Civil LIKE '%$Buscar%' || Calle LIKE '%$Buscar%' || Numero_Exterior LIKE '%$Buscar%' || Numero_Interior LIKE '%$Buscar%' || Colonia LIKE '%$Buscar%' || Delegacion_Municipio LIKE '%$Buscar%' || Codigo_Postal LIKE '%$Buscar%' || Coordenadas LIKE '%$Buscar%' || Telefono_Oficina LIKE '%$Buscar%' || Extension LIKE '%$Buscar%' || No_De_Celular LIKE '%$Buscar%' || Correo_1 LIKE '%$Buscar%' || Correo_2 LIKE '%$Buscar%' || Correo_3 LIKE '%$Buscar%' || Observaciones_Y_Notas LIKE '%$Buscar%' || Fecha_De_Registro LIKE '%$Buscar%' || Usuario_Que_Registra LIKE '%$Buscar%' || Fecha_De_Modificacion LIKE '%$Buscar%' || Usuario_Que_Modifico LIKE '%$Buscar%' ORDER BY Id_Clientes DESC";

                $consulta="SELECT count(*) as numregis FROM clientes WHERE Id_Clientes LIKE '%$Buscar%' || Imagen LIKE '%$Buscar%' || Id_Fk_Catalogo_Cliente_Pertenece LIKE '%$Buscar%' || Promotor LIKE '%$Buscar%' || Id_Fk_Catalogo_Esquema_Crediticio LIKE '%$Buscar%' || Esquema_Crediticio LIKE '%$Buscar%' || Id_Fk_Catalogo_Tipo_Persona LIKE '%$Buscar%' || Tipo_Persona LIKE '%$Buscar%' || Id_Fk_Regimen_Fiscal LIKE '%$Buscar%' || Regimen LIKE '%$Buscar%' || Nombre_Completo LIKE '%$Buscar%' || Apellido_Paterno LIKE '%$Buscar%' || Apellido_Materno LIKE '%$Buscar%' || RFC LIKE '%$Buscar%' || Razon_Social_Persona_Moral LIKE '%$Buscar%' || Fecha_Constitucion_Persona_Moral LIKE '%$Buscar%' || Nombre_De_Contacto_Persona_Moral LIKE '%$Buscar%' || Puesto_De_Contacto_Persona_Moral LIKE '%$Buscar%' || Id_Fk_Estado_Civil LIKE '%$Buscar%' || Estado_Civil LIKE '%$Buscar%' || Calle LIKE '%$Buscar%' || Numero_Exterior LIKE '%$Buscar%' || Numero_Interior LIKE '%$Buscar%' || Colonia LIKE '%$Buscar%' || Delegacion_Municipio LIKE '%$Buscar%' || Codigo_Postal LIKE '%$Buscar%' || Coordenadas LIKE '%$Buscar%' || Telefono_Oficina LIKE '%$Buscar%' || Extension LIKE '%$Buscar%' || No_De_Celular LIKE '%$Buscar%' || Correo_1 LIKE '%$Buscar%' || Correo_2 LIKE '%$Buscar%' || Correo_3 LIKE '%$Buscar%' || Observaciones_Y_Notas LIKE '%$Buscar%' || Fecha_De_Registro LIKE '%$Buscar%' || Usuario_Que_Registra LIKE '%$Buscar%' || Fecha_De_Modificacion LIKE '%$Buscar%' || Usuario_Que_Modifico LIKE '%$Buscar%'";  

            }

            $Array_adapter=$conexion->query($consulta);

            $conexion->close();

            $_Tabla='clientes';

            $_Evento_Log='busco:'.$Buscar;

            $_Consulta = '"'.$consulta.'"';

            $Obj_log->insert_log_consultas($_Tabla,$_Evento_Log,$_Consulta);

            return $Array_adapter;

        }



        public function search_clientespg($Buscar,$inicio,$TAMANO_PAGINA,$_Clausula_Fk,$_IdFk)

        {

            $Odbj_conexion = new odbconexion;

            $conexion=$Odbj_conexion->openconection();

            if($_Clausula_Fk!='' && $_IdFk!=''){

                $consulta="SELECT * FROM clientes WHERE $_Clausula_Fk=$_IdFk AND (Id_Clientes LIKE '%$Buscar%' || Imagen LIKE '%$Buscar%' || Id_Fk_Catalogo_Cliente_Pertenece LIKE '%$Buscar%' || Promotor LIKE '%$Buscar%' || Id_Fk_Catalogo_Esquema_Crediticio LIKE '%$Buscar%' || Esquema_Crediticio LIKE '%$Buscar%' || Id_Fk_Catalogo_Tipo_Persona LIKE '%$Buscar%' || Tipo_Persona LIKE '%$Buscar%' || Id_Fk_Regimen_Fiscal LIKE '%$Buscar%' || Regimen LIKE '%$Buscar%' || Nombre_Completo LIKE '%$Buscar%' || Apellido_Paterno LIKE '%$Buscar%' || Apellido_Materno LIKE '%$Buscar%' || RFC LIKE '%$Buscar%' || Razon_Social_Persona_Moral LIKE '%$Buscar%' || Fecha_Constitucion_Persona_Moral LIKE '%$Buscar%' || Nombre_De_Contacto_Persona_Moral LIKE '%$Buscar%' || Puesto_De_Contacto_Persona_Moral LIKE '%$Buscar%' || Id_Fk_Estado_Civil LIKE '%$Buscar%' || Estado_Civil LIKE '%$Buscar%' || Calle LIKE '%$Buscar%' || Numero_Exterior LIKE '%$Buscar%' || Numero_Interior LIKE '%$Buscar%' || Colonia LIKE '%$Buscar%' || Delegacion_Municipio LIKE '%$Buscar%' || Codigo_Postal LIKE '%$Buscar%' || Coordenadas LIKE '%$Buscar%' || Telefono_Oficina LIKE '%$Buscar%' || Extension LIKE '%$Buscar%' || No_De_Celular LIKE '%$Buscar%' || Correo_1 LIKE '%$Buscar%' || Correo_2 LIKE '%$Buscar%' || Correo_3 LIKE '%$Buscar%' || Observaciones_Y_Notas LIKE '%$Buscar%' || Fecha_De_Registro LIKE '%$Buscar%' || Usuario_Que_Registra LIKE '%$Buscar%' || Fecha_De_Modificacion LIKE '%$Buscar%' || Usuario_Que_Modifico LIKE '%$Buscar%') ORDER BY Id_Clientes DESC";

            }else{

                $consulta="SELECT * FROM clientes WHERE Id_Clientes LIKE '%$Buscar%' || Imagen LIKE '%$Buscar%' || Id_Fk_Catalogo_Cliente_Pertenece LIKE '%$Buscar%' || Promotor LIKE '%$Buscar%' || Id_Fk_Catalogo_Esquema_Crediticio LIKE '%$Buscar%' || Esquema_Crediticio LIKE '%$Buscar%' || Id_Fk_Catalogo_Tipo_Persona LIKE '%$Buscar%' || Tipo_Persona LIKE '%$Buscar%' || Id_Fk_Regimen_Fiscal LIKE '%$Buscar%' || Regimen LIKE '%$Buscar%' || Nombre_Completo LIKE '%$Buscar%' || Apellido_Paterno LIKE '%$Buscar%' || Apellido_Materno LIKE '%$Buscar%' || RFC LIKE '%$Buscar%' || Razon_Social_Persona_Moral LIKE '%$Buscar%' || Fecha_Constitucion_Persona_Moral LIKE '%$Buscar%' || Nombre_De_Contacto_Persona_Moral LIKE '%$Buscar%' || Puesto_De_Contacto_Persona_Moral LIKE '%$Buscar%' || Id_Fk_Estado_Civil LIKE '%$Buscar%' || Estado_Civil LIKE '%$Buscar%' || Calle LIKE '%$Buscar%' || Numero_Exterior LIKE '%$Buscar%' || Numero_Interior LIKE '%$Buscar%' || Colonia LIKE '%$Buscar%' || Delegacion_Municipio LIKE '%$Buscar%' || Codigo_Postal LIKE '%$Buscar%' || Coordenadas LIKE '%$Buscar%' || Telefono_Oficina LIKE '%$Buscar%' || Extension LIKE '%$Buscar%' || No_De_Celular LIKE '%$Buscar%' || Correo_1 LIKE '%$Buscar%' || Correo_2 LIKE '%$Buscar%' || Correo_3 LIKE '%$Buscar%' || Observaciones_Y_Notas LIKE '%$Buscar%' || Fecha_De_Registro LIKE '%$Buscar%' || Usuario_Que_Registra LIKE '%$Buscar%' || Fecha_De_Modificacion LIKE '%$Buscar%' || Usuario_Que_Modifico LIKE '%$Buscar%' ORDER BY Id_Clientes DESC";

            }

            if ($TAMANO_PAGINA != "Todos") {

                $consulta .= " LIMIT $inicio, $TAMANO_PAGINA";

            }

            $Array_adapter=$conexion->query($consulta);

            $conexion->close();

            return $Array_adapter;

        }



        public function searchbyparameter_clientes($Parametro,$Buscar)

        {

            $Odbj_conexion = new odbconexion;

            $conexion=$Odbj_conexion->openconection();

            $consulta="SELECT * FROM clientes WHERE $Parametro LIKE '%$Buscar%' ORDER BY Id_Clientes DESC";

            $Array_adapter=$conexion->query($consulta);

            $conexion->close();

            return $Array_adapter;

        }

  

        public function execute_clientes($query)

        {

            $Odbj_conexion = new odbconexion;

            $conexion=$Odbj_conexion->openconection();

            $Array_adapter=$conexion->query($query);

            $conexion->close();

            return $Array_adapter;

        }



        public function update_field_clientes($Field,$Value,$Id_Clientes)

        {

            require_once('../../log/controller/log.php');

            $Obj_log = new log();

            $Valueinto=strtoupper($Value);

            $Odbj_conexion = new odbconexion;

            $conexion=$Odbj_conexion->openconection();

            $consulta="UPDATE clientes SET $Field='$Valueinto' WHERE Id_Clientes= '$Id_Clientes'";

            $conexion->query($consulta);

            $rowaffected=$conexion->affected_rows;

            $conexion->close();

            $_Tabla='clientes';

            $_Evento_Log='editar';

            $_Consulta = '"'.$consulta.'"';

            $Obj_log->insert_log_crud($_Tabla,$_Evento_Log,$_Consulta);

            return $rowaffected;                          

        }



        public function update_field_front_clientes($Field,$Value,$Id_Clientes)

        {

            require_once('../../log/controller/log.php');

            $Obj_log = new log();

            $Odbj_conexion = new odbconexion;

            $conexion=$Odbj_conexion->openconection();

            $consulta="UPDATE clientes SET $Field='$Value' WHERE Id_Clientes= '$Id_Clientes'";

            $conexion->query($consulta);

            $rowaffected=$conexion->affected_rows;

            $conexion->close();

            $_Tabla='clientes';

            $_Evento_Log='editar';

            $_Consulta = '"'.$consulta.'"';

            $Obj_log->insert_log_crud($_Tabla,$_Evento_Log,$_Consulta);

            return $rowaffected;                          

        }



}



?>